#   File:       spBase-cbn.make
#   Target:     spBase-cbn
#   Created:    Monday, August 7, 2000 12:40:44 AM


MAKEFILE        = spBase-cbn.make
# MondoBuild    = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
MondoBuild    =

SpBaseDir       = :
SpLibDir  	= ::lib:

ObjDir          = :
Includes        =  
				  -i {SpBaseDir}

Sym-CBN         = -sym off

PPCCOptions     = {Includes} {Sym-CBN} -d TARGET_API_MAC_CARBON=1 -includes unix -enum int -w 35


### Source Files ###

SrcFiles        =  
				  spBase.c 
				  spString.c 
				  spDirectory.c 
				  spFile.c 
				  spKanji.c 
				  spLibrary.c 
				  spMemory.c 
				  spOption.c 
				  spPSFile.c 
				  spPlugin.c 
				  spThread.c


### Object Files ###

ObjFiles-CBN    =  
				  "{ObjDir}spBase.c.y" 
				  "{ObjDir}spString.c.y" 
				  "{ObjDir}spDirectory.c.y" 
				  "{ObjDir}spFile.c.y" 
				  "{ObjDir}spKanji.c.y" 
				  "{ObjDir}spLibrary.c.y" 
				  "{ObjDir}spMemory.c.y" 
				  "{ObjDir}spOption.c.y" 
				  "{ObjDir}spPSFile.c.y" 
				  "{ObjDir}spPlugin.c.y" 
				  "{ObjDir}spThread.c.y"


### Libraries ###

LibFiles-CBN    = 


### Default Rules ###

.c.y    .c  {MondoBuild}
	{PPCC} {depDir}{default}.c -o {targDir}{default}.c.y {PPCCOptions}


### Build Rules ###

spBase-cbn      spBase-cbn.o

spBase-cbn.o    {ObjFiles-CBN} {LibFiles-CBN} {MondoBuild}
	PPCLink 
		-o {Targ} 
		{ObjFiles-CBN} 
		{LibFiles-CBN} 
		{Sym-CBN} 
		-mf -d 
		-t 'XCOF' 
		-c 'MPS ' 
		-xm l; 
	Duplicate -y {Targ} {SpLibDir}


### Required Dependencies ###

"{ObjDir}spBase.c.y"    spBase.c
"{ObjDir}spString.c.y"    spString.c
"{ObjDir}spDirectory.c.y"    spDirectory.c
"{ObjDir}spFile.c.y"    spFile.c
"{ObjDir}spKanji.c.y"    spKanji.c
"{ObjDir}spLibrary.c.y"    spLibrary.c
"{ObjDir}spMemory.c.y"    spMemory.c
"{ObjDir}spOption.c.y"    spOption.c
"{ObjDir}spPSFile.c.y"    spPSFile.c
"{ObjDir}spPlugin.c.y"    spPlugin.c
"{ObjDir}spThread.c.y"    spThread.c

### Optional Dependencies ###
### Build this target to generate "include file" dependencies. ###

Dependencies    $OutOfDate
	MakeDepend 
		-append {MAKEFILE} 
		-ignore "{CIncludes}" 
		-objdir "{ObjDir}" 
		-objext .y 
		{Includes} 
		{SrcFiles}


